using System.Collections;
using System.Collections.Generic;
using System.Text.RegularExpressions;
using System.Text;
using Godot;

namespace Rokojori
{  
  [Tool]
  [GlobalClass]
  public partial class FloatDriverNodeTarget:FloatDriverTarget
  { 
    [Export]    
    public NodePath nodePath;

    [Export]
    public string targetMemberPath;

    public override GodotObject GetGodotObject( IFloatDriver driver )
    {
      return ( driver as Node ).GetNode( nodePath );
    }

    public override string GetTargetMemberPath( IFloatDriver driver )
    {
      return targetMemberPath;
    }

  }
}